### Method

# Gck Enumerator next_finish

#### Declaration [src]

    GList*
    gck_enumerator_next_finish (
      GckEnumerator* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to enumerate next objects.

`NULL` is also returned if the function fails. Use the `error` to determine whether a failure occurred or not.

#### Parameters

`result` | `GAsyncResult`
| The result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `GckObject*`
| The list of objects, which should be freed with `gck_list_unref_free()`
| The caller of the method takes ownership of the data, and is responsible for freeing it.